ReplyConstants (PircBot 1.5.0 - Java IRC API Bot Framework)
Keywords: org.jibble.pircbot.ReplyConstants interface

Package | Class | Use | Tree | Deprecated | Index | Help
| PircBot Java IRC Bot
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jibble.pircbot
Interface ReplyConstants

All Known Implementing Classes:
  PircBot

public interface ReplyConstants

This interface contains the values of all numeric replies specified in section 6 of RFC 1459. Refer to RFC 1459 for further information.

If you override the onServerResponse method in the PircBot class, you may find these constants useful when comparing the numeric value of a given code.

Since:
  1.0.0
Version:
  1.5.0 (Build time: Mon Dec 14 20:07:17 2009)
Author:
  Paul James Mutton, http://www.jibble.org/

Field Summary
`static int` | `ERR_ALREADYREGISTRED`
`static int` | `ERR_BADCHANMASK`
`static int` | `ERR_BADCHANNELKEY`
`static int` | `ERR_BANNEDFROMCHAN`
`static int` | `ERR_CANNOTSENDTOCHAN`
`static int` | `ERR_CANTKILLSERVER`
`static int` | `ERR_CHANNELISFULL`
`static int` | `ERR_CHANOPRIVSNEEDED`
`static int` | `ERR_ERRONEUSNICKNAME`
`static int` | `ERR_FILEERROR`
`static int` | `ERR_INVITEONLYCHAN`
`static int` | `ERR_KEYSET`
`static int` | `ERR_NEEDMOREPARAMS`
`static int` | `ERR_NICKCOLLISION`
`static int` | `ERR_NICKNAMEINUSE`
`static int` | `ERR_NOADMININFO`
`static int` | `ERR_NOLOGIN`
`static int` | `ERR_NOMOTD`
`static int` | `ERR_NONICKNAMEGIVEN`
`static int` | `ERR_NOOPERHOST`
`static int` | `ERR_NOORIGIN`
`static int` | `ERR_NOPERMFORHOST`
`static int` | `ERR_NOPRIVILEGES`
`static int` | `ERR_NORECIPIENT`
`static int` | `ERR_NOSERVICEHOST`
`static int` | `ERR_NOSUCHCHANNEL`
`static int` | `ERR_NOSUCHNICK`
`static int` | `ERR_NOSUCHSERVER`
`static int` | `ERR_NOTEXTTOSEND`
`static int` | `ERR_NOTONCHANNEL`
`static int` | `ERR_NOTOPLEVEL`
`static int` | `ERR_NOTREGISTERED`
`static int` | `ERR_PASSWDMISMATCH`
`static int` | `ERR_SUMMONDISABLED`
`static int` | `ERR_TOOMANYCHANNELS`
`static int` | `ERR_TOOMANYTARGETS`
`static int` | `ERR_UMODEUNKNOWNFLAG`
`static int` | `ERR_UNKNOWNCOMMAND`
`static int` | `ERR_UNKNOWNMODE`
`static int` | `ERR_USERNOTINCHANNEL`
`static int` | `ERR_USERONCHANNEL`
`static int` | `ERR_USERSDISABLED`
`static int` | `ERR_USERSDONTMATCH`
`static int` | `ERR_WASNOSUCHNICK`
`static int` | `ERR_WILDTOPLEVEL`
`static int` | `ERR_YOUREBANNEDCREEP`
`static int` | `ERR_YOUWILLBEBANNED`
`static int` | `RPL_ADMINEMAIL`
`static int` | `RPL_ADMINLOC1`
`static int` | `RPL_ADMINLOC2`
`static int` | `RPL_ADMINME`
`static int` | `RPL_AWAY`
`static int` | `RPL_BANLIST`
`static int` | `RPL_CHANNELMODEIS`
`static int` | `RPL_CLOSEEND`
`static int` | `RPL_CLOSING`
`static int` | `RPL_ENDOFBANLIST`
`static int` | `RPL_ENDOFINFO`
`static int` | `RPL_ENDOFLINKS`
`static int` | `RPL_ENDOFMOTD`
`static int` | `RPL_ENDOFNAMES`
`static int` | `RPL_ENDOFSERVICES`
`static int` | `RPL_ENDOFSTATS`
`static int` | `RPL_ENDOFUSERS`
`static int` | `RPL_ENDOFWHO`
`static int` | `RPL_ENDOFWHOIS`
`static int` | `RPL_ENDOFWHOWAS`
`static int` | `RPL_INFO`
`static int` | `RPL_INFOSTART`
`static int` | `RPL_INVITING`
`static int` | `RPL_ISON`
`static int` | `RPL_KILLDONE`
`static int` | `RPL_LINKS`
`static int` | `RPL_LIST`
`static int` | `RPL_LISTEND`
`static int` | `RPL_LISTSTART`
`static int` | `RPL_LUSERCHANNELS`
`static int` | `RPL_LUSERCLIENT`
`static int` | `RPL_LUSERME`
`static int` | `RPL_LUSEROP`
`static int` | `RPL_LUSERUNKNOWN`
`static int` | `RPL_MOTD`
`static int` | `RPL_MOTDSTART`
`static int` | `RPL_MYPORTIS`
`static int` | `RPL_NAMREPLY`
`static int` | `RPL_NONE`
`static int` | `RPL_NOTOPIC`
`static int` | `RPL_NOUSERS`
`static int` | `RPL_NOWAWAY`
`static int` | `RPL_REHASHING`
`static int` | `RPL_SERVICE`
`static int` | `RPL_SERVICEINFO`
`static int` | `RPL_SERVLIST`
`static int` | `RPL_SERVLISTEND`
`static int` | `RPL_STATSCLINE`
`static int` | `RPL_STATSCOMMANDS`
`static int` | `RPL_STATSHLINE`
`static int` | `RPL_STATSILINE`
`static int` | `RPL_STATSKLINE`
`static int` | `RPL_STATSLINKINFO`
`static int` | `RPL_STATSLLINE`
`static int` | `RPL_STATSNLINE`
`static int` | `RPL_STATSOLINE`
`static int` | `RPL_STATSQLINE`
`static int` | `RPL_STATSUPTIME`
`static int` | `RPL_STATSYLINE`
`static int` | `RPL_SUMMONING`
`static int` | `RPL_TIME`
`static int` | `RPL_TOPIC`
`static int` | `RPL_TOPICINFO`
`static int` | `RPL_TRACECLASS`
`static int` | `RPL_TRACECONNECTING`
`static int` | `RPL_TRACEHANDSHAKE`
`static int` | `RPL_TRACELINK`
`static int` | `RPL_TRACELOG`
`static int` | `RPL_TRACENEWTYPE`
`static int` | `RPL_TRACEOPERATOR`
`static int` | `RPL_TRACESERVER`
`static int` | `RPL_TRACEUNKNOWN`
`static int` | `RPL_TRACEUSER`
`static int` | `RPL_UMODEIS`
`static int` | `RPL_UNAWAY`
`static int` | `RPL_USERHOST`
`static int` | `RPL_USERS`
`static int` | `RPL_USERSSTART`
`static int` | `RPL_VERSION`
`static int` | `RPL_WHOISCHANNELS`
`static int` | `RPL_WHOISCHANOP`
`static int` | `RPL_WHOISIDLE`
`static int` | `RPL_WHOISOPERATOR`
`static int` | `RPL_WHOISSERVER`
`static int` | `RPL_WHOISUSER`
`static int` | `RPL_WHOREPLY`
`static int` | `RPL_WHOWASUSER`
`static int` | `RPL_YOUREOPER`

Field Detail

### ERR_NOSUCHNICK

    public static final int ERR_NOSUCHNICK

See Also:
  Constant Field Values

### ERR_NOSUCHSERVER

    public static final int ERR_NOSUCHSERVER

See Also:
  Constant Field Values

### ERR_NOSUCHCHANNEL

    public static final int ERR_NOSUCHCHANNEL

See Also:
  Constant Field Values

### ERR_CANNOTSENDTOCHAN

    public static final int ERR_CANNOTSENDTOCHAN

See Also:
  Constant Field Values

### ERR_TOOMANYCHANNELS

    public static final int ERR_TOOMANYCHANNELS

See Also:
  Constant Field Values

### ERR_WASNOSUCHNICK

    public static final int ERR_WASNOSUCHNICK

See Also:
  Constant Field Values

### ERR_TOOMANYTARGETS

    public static final int ERR_TOOMANYTARGETS

See Also:
  Constant Field Values

### ERR_NOORIGIN

    public static final int ERR_NOORIGIN

See Also:
  Constant Field Values

### ERR_NORECIPIENT

    public static final int ERR_NORECIPIENT

See Also:
  Constant Field Values

### ERR_NOTEXTTOSEND

    public static final int ERR_NOTEXTTOSEND

See Also:
  Constant Field Values

### ERR_NOTOPLEVEL

    public static final int ERR_NOTOPLEVEL

See Also:
  Constant Field Values

### ERR_WILDTOPLEVEL

    public static final int ERR_WILDTOPLEVEL

See Also:
  Constant Field Values

### ERR_UNKNOWNCOMMAND

    public static final int ERR_UNKNOWNCOMMAND

See Also:
  Constant Field Values

### ERR_NOMOTD

    public static final int ERR_NOMOTD

See Also:
  Constant Field Values

### ERR_NOADMININFO

    public static final int ERR_NOADMININFO

See Also:
  Constant Field Values

### ERR_FILEERROR

    public static final int ERR_FILEERROR

See Also:
  Constant Field Values

### ERR_NONICKNAMEGIVEN

    public static final int ERR_NONICKNAMEGIVEN

See Also:
  Constant Field Values

### ERR_ERRONEUSNICKNAME

    public static final int ERR_ERRONEUSNICKNAME

See Also:
  Constant Field Values

### ERR_NICKNAMEINUSE

    public static final int ERR_NICKNAMEINUSE

See Also:
  Constant Field Values

### ERR_NICKCOLLISION

    public static final int ERR_NICKCOLLISION

See Also:
  Constant Field Values

### ERR_USERNOTINCHANNEL

    public static final int ERR_USERNOTINCHANNEL

See Also:
  Constant Field Values

### ERR_NOTONCHANNEL

    public static final int ERR_NOTONCHANNEL

See Also:
  Constant Field Values

### ERR_USERONCHANNEL

    public static final int ERR_USERONCHANNEL

See Also:
  Constant Field Values

### ERR_NOLOGIN

    public static final int ERR_NOLOGIN

See Also:
  Constant Field Values

### ERR_SUMMONDISABLED

    public static final int ERR_SUMMONDISABLED

See Also:
  Constant Field Values

### ERR_USERSDISABLED

    public static final int ERR_USERSDISABLED

See Also:
  Constant Field Values

### ERR_NOTREGISTERED

    public static final int ERR_NOTREGISTERED

See Also:
  Constant Field Values

### ERR_NEEDMOREPARAMS

    public static final int ERR_NEEDMOREPARAMS

See Also:
  Constant Field Values

### ERR_ALREADYREGISTRED

    public static final int ERR_ALREADYREGISTRED

See Also:
  Constant Field Values

### ERR_NOPERMFORHOST

    public static final int ERR_NOPERMFORHOST

See Also:
  Constant Field Values

### ERR_PASSWDMISMATCH

    public static final int ERR_PASSWDMISMATCH

See Also:
  Constant Field Values

### ERR_YOUREBANNEDCREEP

    public static final int ERR_YOUREBANNEDCREEP

See Also:
  Constant Field Values

### ERR_KEYSET

    public static final int ERR_KEYSET

See Also:
  Constant Field Values

### ERR_CHANNELISFULL

    public static final int ERR_CHANNELISFULL

See Also:
  Constant Field Values

### ERR_UNKNOWNMODE

    public static final int ERR_UNKNOWNMODE

See Also:
  Constant Field Values

### ERR_INVITEONLYCHAN

    public static final int ERR_INVITEONLYCHAN

See Also:
  Constant Field Values

### ERR_BANNEDFROMCHAN

    public static final int ERR_BANNEDFROMCHAN

See Also:
  Constant Field Values

### ERR_BADCHANNELKEY

    public static final int ERR_BADCHANNELKEY

See Also:
  Constant Field Values

### ERR_NOPRIVILEGES

    public static final int ERR_NOPRIVILEGES

See Also:
  Constant Field Values

### ERR_CHANOPRIVSNEEDED

    public static final int ERR_CHANOPRIVSNEEDED

See Also:
  Constant Field Values

### ERR_CANTKILLSERVER

    public static final int ERR_CANTKILLSERVER

See Also:
  Constant Field Values

### ERR_NOOPERHOST

    public static final int ERR_NOOPERHOST

See Also:
  Constant Field Values

### ERR_UMODEUNKNOWNFLAG

    public static final int ERR_UMODEUNKNOWNFLAG

See Also:
  Constant Field Values

### ERR_USERSDONTMATCH

    public static final int ERR_USERSDONTMATCH

See Also:
  Constant Field Values

### RPL_TRACELINK

    public static final int RPL_TRACELINK

See Also:
  Constant Field Values

### RPL_TRACECONNECTING

    public static final int RPL_TRACECONNECTING

See Also:
  Constant Field Values

### RPL_TRACEHANDSHAKE

    public static final int RPL_TRACEHANDSHAKE

See Also:
  Constant Field Values

### RPL_TRACEUNKNOWN

    public static final int RPL_TRACEUNKNOWN

See Also:
  Constant Field Values

### RPL_TRACEOPERATOR

    public static final int RPL_TRACEOPERATOR

See Also:
  Constant Field Values

### RPL_TRACEUSER

    public static final int RPL_TRACEUSER

See Also:
  Constant Field Values

### RPL_TRACESERVER

    public static final int RPL_TRACESERVER

See Also:
  Constant Field Values

### RPL_TRACENEWTYPE

    public static final int RPL_TRACENEWTYPE

See Also:
  Constant Field Values

### RPL_STATSLINKINFO

    public static final int RPL_STATSLINKINFO

See Also:
  Constant Field Values

### RPL_STATSCOMMANDS

    public static final int RPL_STATSCOMMANDS

See Also:
  Constant Field Values

### RPL_STATSCLINE

    public static final int RPL_STATSCLINE

See Also:
  Constant Field Values

### RPL_STATSNLINE

    public static final int RPL_STATSNLINE

See Also:
  Constant Field Values

### RPL_STATSILINE

    public static final int RPL_STATSILINE

See Also:
  Constant Field Values

### RPL_STATSKLINE

    public static final int RPL_STATSKLINE

See Also:
  Constant Field Values

### RPL_STATSYLINE

    public static final int RPL_STATSYLINE

See Also:
  Constant Field Values

### RPL_ENDOFSTATS

    public static final int RPL_ENDOFSTATS

See Also:
  Constant Field Values

### RPL_UMODEIS

    public static final int RPL_UMODEIS

See Also:
  Constant Field Values

### RPL_STATSLLINE

    public static final int RPL_STATSLLINE

See Also:
  Constant Field Values

### RPL_STATSUPTIME

    public static final int RPL_STATSUPTIME

See Also:
  Constant Field Values

### RPL_STATSOLINE

    public static final int RPL_STATSOLINE

See Also:
  Constant Field Values

### RPL_STATSHLINE

    public static final int RPL_STATSHLINE

See Also:
  Constant Field Values

### RPL_LUSERCLIENT

    public static final int RPL_LUSERCLIENT

See Also:
  Constant Field Values

### RPL_LUSEROP

    public static final int RPL_LUSEROP

See Also:
  Constant Field Values

### RPL_LUSERUNKNOWN

    public static final int RPL_LUSERUNKNOWN

See Also:
  Constant Field Values

### RPL_LUSERCHANNELS

    public static final int RPL_LUSERCHANNELS

See Also:
  Constant Field Values

### RPL_LUSERME

    public static final int RPL_LUSERME

See Also:
  Constant Field Values

### RPL_ADMINME

    public static final int RPL_ADMINME

See Also:
  Constant Field Values

### RPL_ADMINLOC1

    public static final int RPL_ADMINLOC1

See Also:
  Constant Field Values

### RPL_ADMINLOC2

    public static final int RPL_ADMINLOC2

See Also:
  Constant Field Values

### RPL_ADMINEMAIL

    public static final int RPL_ADMINEMAIL

See Also:
  Constant Field Values

### RPL_TRACELOG

    public static final int RPL_TRACELOG

See Also:
  Constant Field Values

### RPL_NONE

    public static final int RPL_NONE

See Also:
  Constant Field Values

### RPL_AWAY

    public static final int RPL_AWAY

See Also:
  Constant Field Values

### RPL_USERHOST

    public static final int RPL_USERHOST

See Also:
  Constant Field Values

### RPL_ISON

    public static final int RPL_ISON

See Also:
  Constant Field Values

### RPL_UNAWAY

    public static final int RPL_UNAWAY

See Also:
  Constant Field Values

### RPL_NOWAWAY

    public static final int RPL_NOWAWAY

See Also:
  Constant Field Values

### RPL_WHOISUSER

    public static final int RPL_WHOISUSER

See Also:
  Constant Field Values

### RPL_WHOISSERVER

    public static final int RPL_WHOISSERVER

See Also:
  Constant Field Values

### RPL_WHOISOPERATOR

    public static final int RPL_WHOISOPERATOR

See Also:
  Constant Field Values

### RPL_WHOWASUSER

    public static final int RPL_WHOWASUSER

See Also:
  Constant Field Values

### RPL_ENDOFWHO

    public static final int RPL_ENDOFWHO

See Also:
  Constant Field Values

### RPL_WHOISIDLE

    public static final int RPL_WHOISIDLE

See Also:
  Constant Field Values

### RPL_ENDOFWHOIS

    public static final int RPL_ENDOFWHOIS

See Also:
  Constant Field Values

### RPL_WHOISCHANNELS

    public static final int RPL_WHOISCHANNELS

See Also:
  Constant Field Values

### RPL_LISTSTART

    public static final int RPL_LISTSTART

See Also:
  Constant Field Values

### RPL_LIST

    public static final int RPL_LIST

See Also:
  Constant Field Values

### RPL_LISTEND

    public static final int RPL_LISTEND

See Also:
  Constant Field Values

### RPL_CHANNELMODEIS

    public static final int RPL_CHANNELMODEIS

See Also:
  Constant Field Values

### RPL_NOTOPIC

    public static final int RPL_NOTOPIC

See Also:
  Constant Field Values

### RPL_TOPIC

    public static final int RPL_TOPIC

See Also:
  Constant Field Values

### RPL_TOPICINFO

    public static final int RPL_TOPICINFO

See Also:
  Constant Field Values

### RPL_INVITING

    public static final int RPL_INVITING

See Also:
  Constant Field Values

### RPL_SUMMONING

    public static final int RPL_SUMMONING

See Also:
  Constant Field Values

### RPL_VERSION

    public static final int RPL_VERSION

See Also:
  Constant Field Values

### RPL_WHOREPLY

    public static final int RPL_WHOREPLY

See Also:
  Constant Field Values

### RPL_NAMREPLY

    public static final int RPL_NAMREPLY

See Also:
  Constant Field Values

### RPL_LINKS

    public static final int RPL_LINKS

See Also:
  Constant Field Values

### RPL_ENDOFLINKS

    public static final int RPL_ENDOFLINKS

See Also:
  Constant Field Values

### RPL_ENDOFNAMES

    public static final int RPL_ENDOFNAMES

See Also:
  Constant Field Values

### RPL_BANLIST

    public static final int RPL_BANLIST

See Also:
  Constant Field Values

### RPL_ENDOFBANLIST

    public static final int RPL_ENDOFBANLIST

See Also:
  Constant Field Values

### RPL_ENDOFWHOWAS

    public static final int RPL_ENDOFWHOWAS

See Also:
  Constant Field Values

### RPL_INFO

    public static final int RPL_INFO

See Also:
  Constant Field Values

### RPL_MOTD

    public static final int RPL_MOTD

See Also:
  Constant Field Values

### RPL_ENDOFINFO

    public static final int RPL_ENDOFINFO

See Also:
  Constant Field Values

### RPL_MOTDSTART

    public static final int RPL_MOTDSTART

See Also:
  Constant Field Values

### RPL_ENDOFMOTD

    public static final int RPL_ENDOFMOTD

See Also:
  Constant Field Values

### RPL_YOUREOPER

    public static final int RPL_YOUREOPER

See Also:
  Constant Field Values

### RPL_REHASHING

    public static final int RPL_REHASHING

See Also:
  Constant Field Values

### RPL_TIME

    public static final int RPL_TIME

See Also:
  Constant Field Values

### RPL_USERSSTART

    public static final int RPL_USERSSTART

See Also:
  Constant Field Values

### RPL_USERS

    public static final int RPL_USERS

See Also:
  Constant Field Values

### RPL_ENDOFUSERS

    public static final int RPL_ENDOFUSERS

See Also:
  Constant Field Values

### RPL_NOUSERS

    public static final int RPL_NOUSERS

See Also:
  Constant Field Values

### RPL_TRACECLASS

    public static final int RPL_TRACECLASS

See Also:
  Constant Field Values

### RPL_STATSQLINE

    public static final int RPL_STATSQLINE

See Also:
  Constant Field Values

### RPL_SERVICEINFO

    public static final int RPL_SERVICEINFO

See Also:
  Constant Field Values

### RPL_ENDOFSERVICES

    public static final int RPL_ENDOFSERVICES

See Also:
  Constant Field Values

### RPL_SERVICE

    public static final int RPL_SERVICE

See Also:
  Constant Field Values

### RPL_SERVLIST

    public static final int RPL_SERVLIST

See Also:
  Constant Field Values

### RPL_SERVLISTEND

    public static final int RPL_SERVLISTEND

See Also:
  Constant Field Values

### RPL_WHOISCHANOP

    public static final int RPL_WHOISCHANOP

See Also:
  Constant Field Values

### RPL_KILLDONE

    public static final int RPL_KILLDONE

See Also:
  Constant Field Values

### RPL_CLOSING

    public static final int RPL_CLOSING

See Also:
  Constant Field Values

### RPL_CLOSEEND

    public static final int RPL_CLOSEEND

See Also:
  Constant Field Values

### RPL_INFOSTART

    public static final int RPL_INFOSTART

See Also:
  Constant Field Values

### RPL_MYPORTIS

    public static final int RPL_MYPORTIS

See Also:
  Constant Field Values

### ERR_YOUWILLBEBANNED

    public static final int ERR_YOUWILLBEBANNED

See Also:
  Constant Field Values

### ERR_BADCHANMASK

    public static final int ERR_BADCHANMASK

See Also:
  Constant Field Values

### ERR_NOSERVICEHOST

    public static final int ERR_NOSERVICEHOST

See Also:
  Constant Field Values

Package | Class | Use | Tree | Deprecated | Index | Help
| PircBot Java IRC Bot
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD